package com.czg.service.account.service.impl;

import com.czg.account.entity.PointsBasicSetting;
import com.czg.account.service.PointsBasicSettingService;
import com.czg.service.account.mapper.PointsBasicSettingMapper;
import com.mybatisflex.spring.service.impl.ServiceImpl;
import org.apache.dubbo.config.annotation.DubboService;

/**
 * 积分基本设置 服务层实现。
 *
 * @author ww
 * @since 2025-02-20
 */
@DubboService
public class PointsBasicSettingServiceImpl extends ServiceImpl<PointsBasicSettingMapper, PointsBasicSetting> implements PointsBasicSettingService{

    @Override
    public void initInfo(Long id) {
        PointsBasicSetting record = getById(id);
        if (record == null) {
            PointsBasicSetting pointsBasicSetting = new PointsBasicSetting();
            pointsBasicSetting.setShopId(id);
            save(pointsBasicSetting);
        }
    }
}
